#ifndef MAIL_H
#define MAIL_H

#include <pthread.h>
#include <gtk/gtk.h>
#include "TCPsocket.h"
#include <sys/stat.h>

#define mkdir(a) mkdir(a,0777)

// public ---------------

gboolean check_POP(gboolean periodique);

/* le thread qui tourne en permanence */
void *thread_check();

/* Se connecte au serveur et envoie des commandes POP3 pour boite index n */
void pop3_connect (int n);


// privé ---------------

/* Recoit une réponse du serveur puis envoie une nouvelle commande */
static void mail_discuss (SOCKET sk, char *msg, int len, char stade, int x);

/* récupérer le message smtp dans mails/x.smtp */
static void getmsg(SOCKET sk, int x, int boite);

/* extraire from/subject/date du mesage header */
int parsemsg(char *s, long len, int boite, int idmail);

/* retire les balises HTML d'un string */
char *virer_html(char *s, int len);

/* transforme "d=E9pos=E9s" en "déposés" */
char* convert_quoted_printable(char* s, int len);

/* Affiche le numéro d'erreur du socket, en cas de problème */
//static void on_error(char *msg);

#endif
