#ifndef BXTCPSOCKH
#define BXTCPSOCKH

#ifdef WIN32
 #include <windows.h>
 #include <winsock2.h>
 #define bzero(a,b) memset(a,0,b)
#else
 #include <stdio.h>
 #include <unistd.h>
 #include <netdb.h>
 #include <arpa/inet.h>
 #define SOCKET int
 #define INVALID_SOCKET -1
 #define closesocket(a) close(a)
#endif

void	init_socket();
void	socket_error	(char *msg);
SOCKET	connection_TCP	(char *serv, unsigned short port);
void	lire			(SOCKET sk);

void	ecrire			(SOCKET sk, char *msg, int len);
void	envoi_big_paquet(SOCKET sk, char *s, long taille, int ms);

#endif
