#include "popup.h"

//une seule fenêtre popup sera affichée même si on veut l'afficher 50 fois
gboolean popupisvisible = FALSE;
gint x, y, departY, destY;
guchar intervalle=1;
GtkWidget *fenpopup;

/*==============================================================================

==============================================================================*/
gboolean Monter()
{
  y-=3;
  if (y < destY) return FALSE;
  gtk_window_move (GTK_WINDOW(fenpopup), x, y);
  return TRUE;
}
/*==============================================================================

==============================================================================*/
gboolean Descendre()
{
  y+=3;
  if (y > departY) 
  {
   gtk_widget_destroy (fenpopup);
   popupisvisible = FALSE;
   return FALSE;
  }
  gtk_window_move (GTK_WINDOW(fenpopup), x, y);
  return TRUE;
}
/*==============================================================================

==============================================================================*/
void OK_Click()
{
  g_timeout_add(intervalle, (gpointer)Descendre, (gpointer)fenpopup);
}

// Crée la fenêtre popup et démarre l' animation
/*==============================================================================

==============================================================================*/
void cbx_popup_new(gchar *caption, guchar vitesse)
{
  GtkWidget *vbox, *label, *button;
  GdkScreen *s;

  if (popupisvisible) return;

  // Vitesse
    intervalle = (vitesse > 100) ? 1 : 101-vitesse;

  // Obtient résolution de l' écran
    s = gdk_screen_get_default();
    x = gdk_screen_get_width (s) - 240;
    departY = y = gdk_screen_get_height(s);
    destY   = y - 160;

  // Crée la fenêtre
  fenpopup = gtk_window_new (GTK_WINDOW_POPUP);
    gtk_window_move (GTK_WINDOW(fenpopup), x, y);
    gtk_window_set_default_size (GTK_WINDOW(fenpopup), 200, 100);
    gtk_container_border_width (GTK_CONTAINER(fenpopup),3);

  vbox = gtk_vbox_new (FALSE, 10);
  gtk_container_add (GTK_CONTAINER (fenpopup), vbox);

  // Label
  label=gtk_label_new(NULL);
     gtk_label_set_markup(GTK_LABEL(label), caption);
     gtk_label_set_justify(GTK_LABEL(label), GTK_JUSTIFY_CENTER);
  /*
  label = gtk_label_new (caption);
     gtk_label_set_line_wrap_mode (GTK_LABEL(label), PANGO_WRAP_WORD);
  */
     gtk_box_pack_start (GTK_BOX (vbox), label, FALSE, FALSE, 10);

  // Bouton fermer
  button = gtk_button_new_with_label ("OK");
     gtk_box_pack_start (GTK_BOX (vbox), button, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(OK_Click),(gpointer)fenpopup);

  gtk_widget_show_all (fenpopup);
  popupisvisible = TRUE;

  // ça monte. g_timeout_add() exécute la fonction Monter() à intervalle régulier
  // tant que celle-ci retourne TRUE
  g_timeout_add(intervalle, (gpointer)Monter, (gpointer)fenpopup);
}

