#include "mailbox.h"
#include "POP.h"
#include <dirent.h>

/*==============================================================================
   VERIFIER MAINTENANT LA BOITE DE MESSAGERIE SELECTIONNEE DANS LA LISTE
==============================================================================*/
void buttonCheck_click(GtkWidget *widget, gpointer data)
{
  if  (selectedindex != -1)
  {
    //printf("check %s ...\n", b[id].nom);
    pop3_connect(selectedindex);
    c[selectedindex].next_check = b[selectedindex].intervalle;
  }
}
/*==============================================================================

==============================================================================*/
void csv2listview()
{
  extern int treeview_num_records;
  char str[2048];
  FILE* fp = fopen("/usr/local/etc/POPspeech/mails.csv","r");
  //int nb=0;
  while(fgets(str,2048,fp))
  {
    treeview_num_records++;

    //toujours sans sscanf ni strtok
    char d[5][512];
    int n, cpt=0, a=0;
    int len = strlen(str) - 1;
    for (n=0; n<=len; n++)
    {
      if (str[n]==31 || n==len)
      {
        d[cpt][a]=0;
        a=0;
        //printf("    [%s]\n", d[cpt]);
        cpt++;
      }
      else
        d[cpt][a++] = str[n];
    }

    //#ifdef WIN32
    // ListView_AjoutItem(hwndLV, d[0], d[1], d[2], d[3], d[4]);
    //#else
     //listview_add_enregistrement(d[0], d[1], d[2], d[3], d[4]);

     //gchar* sujet_utf8 = g_convert (lesuje, -1, "UTF-8", "ISO-8859-1", NULL, NULL, NULL);

     gchar* fro_utf8 = g_locale_to_utf8(d[0], -1, NULL, NULL, NULL);
     gchar* nom_utf8 = g_locale_to_utf8(d[1], -1, NULL, NULL, NULL);
     gchar* suj_utf8 = g_locale_to_utf8(d[2], -1, NULL, NULL, NULL);
     gchar* dat_utf8 = g_locale_to_utf8(d[3], -1, NULL, NULL, NULL);
     gchar* id_utf8  = g_locale_to_utf8(d[4], -1, NULL, NULL, NULL);
     listview_add_enregistrement(fro_utf8, nom_utf8, suj_utf8, dat_utf8, id_utf8);
     g_free(fro_utf8);
     g_free(nom_utf8);
     g_free(suj_utf8);
     g_free(dat_utf8);

    //#endif

    //nb++;
  }

  fclose(fp);
}
/* =============================================================================
   VIDE TOUTES LES ZONES DE SAISIE
==============================================================================*/
void Vider_Entry()
{
    // Désélectionne tout item de la liste
    gtk_clist_unselect_all((GtkCList *)liste);
    selectedindex = -1;

    gtk_entry_set_text (GTK_ENTRY(txtNom)        , "");
    gtk_entry_set_text (GTK_ENTRY(txtPOPserveur) , "");
    gtk_entry_set_text (GTK_ENTRY(txtPOPport)    , "");
    gtk_entry_set_text (GTK_ENTRY(txtSMTPserveur), "");
    gtk_entry_set_text (GTK_ENTRY(txtSMTPport)   , "");
    gtk_entry_set_text (GTK_ENTRY(txtemail)      , "");
    gtk_entry_set_text (GTK_ENTRY(txtMdp)        , "");
    gtk_entry_set_text (GTK_ENTRY(txtCheckmn)    , "");
}

/* =============================================================================
   CLIC BOUTON "AJOUTER BOITE"
==============================================================================*/
void buttonAdd_click( GtkWidget *widget, gpointer data)
{
  boite tmp;
  char flag=0;

  const gchar* aa = gtk_entry_get_text(GTK_ENTRY(txtNom));
     if (!aa) flag=1; else sprintf(tmp.nom, "%s", aa);

  const gchar* bb = gtk_entry_get_text(GTK_ENTRY(txtPOPserveur));
     if (!bb) flag=1; else sprintf(tmp.POPserveur, "%s", bb);

  const gchar* cc = gtk_entry_get_text(GTK_ENTRY(txtPOPport));
     if (!cc) flag=1; else tmp.POPport=atoi(cc);

  const gchar* dd = gtk_entry_get_text(GTK_ENTRY(txtSMTPserveur));
     if (!dd) flag=1; else sprintf(tmp.SMTPserveur, "%s", dd);

  const gchar* ee = gtk_entry_get_text(GTK_ENTRY(txtSMTPport));
     if (!ee) flag=1; else tmp.SMTPport=atoi(ee);

  const gchar* ff = gtk_entry_get_text(GTK_ENTRY(txtemail));
     if (!ff) flag=1; else sprintf(tmp.email, "%s", ff);

  const gchar* gg = gtk_entry_get_text(GTK_ENTRY(txtMdp));
     if (!gg) flag=1; else sprintf(tmp.mdp, "%s", gg);

  const gchar* hh = gtk_entry_get_text(GTK_ENTRY(txtCheckmn));
     if (!hh) flag=1; else tmp.intervalle=atoi(hh);

  // Si tous les champs sont remplis,
     if (!flag)
     {
      // realloc tableau
         b = (boite*) realloc(b, (nbboites+1)* sizeof(boite));
         c = (check*) realloc(c, (nbboites+1)* sizeof(check));
      // copie boite temporaire dans tableau
         sprintf(b[nbboites].POPserveur , "%s", tmp.POPserveur);
         sprintf(b[nbboites].SMTPserveur, "%s", tmp.SMTPserveur);
         sprintf(b[nbboites].email      , "%s", tmp.email);
         sprintf(b[nbboites].mdp        , "%s", tmp.mdp);
         sprintf(b[nbboites].nom        , "%s", tmp.nom);
         // spécifie autres infos dans le tableau
                 b[nbboites].POPport    = tmp.POPport;
                 b[nbboites].SMTPport   = tmp.SMTPport;
                 b[nbboites].intervalle = tmp.intervalle;
                 b[nbboites].nb         = 0;//tmp.nb; <------- ZERO JE TE DIS!

                 c[nbboites].next_check = 2;
                 c[nbboites].nbmessages = -1;
          strcpy(c[nbboites].taille_msg,"(0 Ko)");
                   nbboites++;

      // Ajoute le nouvel item à la liste
         gchar num[2]; num[0]='0'; num[1]=0;
         gchar *compte[1][2] = {(char *)aa, num};
         gtk_clist_append((GtkCList *)liste, compte[0]);
 
      // Vide les zones de saisie et écrit le fichier
         Vider_Entry();
         ecrire_fichier_data();
    }
    else dire("Sorry, but to add a new mailbox, you have to fill all the fields.");

}
/*==============================================================================
  Bouton éditer une boite
==============================================================================*/
void buttonEdit_click( GtkWidget *widget, gpointer data)
{
  if  (selectedindex == -1) return;

  const gchar* aa = gtk_entry_get_text(GTK_ENTRY(txtNom));
  sprintf(b[selectedindex].nom, "%s", aa);
     // édite le nom dans la liste des comptes
     extern GtkWidget *liste;
     gtk_clist_set_text ((GtkCList *)liste, selectedindex, 0, aa);

  const gchar* bb = gtk_entry_get_text(GTK_ENTRY(txtPOPserveur));
  sprintf(b[selectedindex].POPserveur, "%s", bb);

  const gchar* cc = gtk_entry_get_text(GTK_ENTRY(txtPOPport));
  b[selectedindex].POPport = atoi(cc);

  const gchar* dd = gtk_entry_get_text(GTK_ENTRY(txtSMTPserveur));
  sprintf(b[selectedindex].SMTPserveur, "%s", dd);

  const gchar* ee = gtk_entry_get_text(GTK_ENTRY(txtSMTPport));
  b[selectedindex].SMTPport = atoi(ee);

  const gchar* ff = gtk_entry_get_text(GTK_ENTRY(txtemail));
  sprintf(b[selectedindex].email, "%s", ff);

  const gchar* gg = gtk_entry_get_text(GTK_ENTRY(txtMdp));
  sprintf(b[selectedindex].mdp, "%s", gg);

  const gchar* hh = gtk_entry_get_text(GTK_ENTRY(txtCheckmn));
  b[selectedindex].intervalle = atoi(hh);

  ecrire_fichier_data();

  // Désélectionne tout item de la liste
     //gtk_clist_unselect_all((GtkCList *)liste);
  Vider_Entry();

}
/* =============================================================================
   CLIC BOUTON "SUPPRIMER BOITE"
==============================================================================*/
void buttonSuppr_click( GtkWidget *widget, gpointer data)
{
  // Retire de la liste celui qui est sélectionné
     //UINT id = SendDlgItemMessage(hwnd, 101, LB_GETCURSEL, 0, 0);
     if (selectedindex==-1)
     {
       dire("You have to select a mailbox in the list on the left, then delete it.");
       return;
     }
     //SendDlgItemMessage(hwnd, 101, LB_DELETESTRING, id, 0);
     gtk_clist_remove((GtkCList *)liste, selectedindex);

  // Dans le tableau, décale de -1 à partir de l'index à supprimer
     register int n;
     for (n=selectedindex; n<nbboites; n++)
     {
       sprintf(b[n].POPserveur , "%s", b[n+1].POPserveur);
       sprintf(b[n].SMTPserveur, "%s", b[n+1].SMTPserveur);
       sprintf(b[n].email            , "%s", b[n+1].email);
       sprintf(b[n].mdp , "%s", b[n+1].mdp);
       sprintf(b[n].nom , "%s", b[n+1].nom);
               b[n].POPport    = b[n+1].POPport;
               b[n].SMTPport   = b[n+1].SMTPport;
               b[n].intervalle = b[n+1].intervalle;

               c[n].nbmessages = c[n+1].nbmessages;
               c[n].next_check = c[n+1].next_check;
       sprintf(c[n].taille_msg,"%s",c[n+1].taille_msg);
     }

  // Réalloue tableau
     nbboites--;
     b = (boite*) realloc(b, nbboites* sizeof(boite));
     c = (check*) realloc(c, nbboites* sizeof(check));
  
  // Vide les zones de saisie et écrit le fichier
     Vider_Entry();
     ecrire_fichier_data();
}
/*==============================================================================
  Lit le fichier junk pour initialiser le tableau de structures
==============================================================================*/
void lire_fichier_data()
{
  FILE *pF;
  char *t;
  boite y;
  int n;

  pF = fopen("/usr/local/etc/POPspeech/data","rb");
  if (!pF) // si première utilisation
  {
     dire("hello sir");//Hello, This is the first time you are using the program."
          //"Please add some mailboxes I will connect to.");
     return;
  }

  // lit le nombre de boites à charger
  fread(&nbboites,sizeof(int),1,pF);

  // alloue l'espace au tableau
  b = (boite*)calloc(nbboites, sizeof(boite));
  c = (check*)calloc(nbboites, sizeof(check));

  // et le remplit en lisant les boites
  for (n=0; n<nbboites; n++)
  {
    fread(&y,sizeof(boite),1,pF);
    t = f(VERSION, y.POPserveur ); strcpy(b[n].POPserveur,t ); free(t);
    t = f(VERSION, y.SMTPserveur); strcpy(b[n].SMTPserveur,t); free(t);
    t = f(VERSION, y.email); strcpy(b[n].email,t); free(t);
    t = f(VERSION, y.mdp  ); strcpy(b[n].mdp  ,t); free(t);
    t = f(VERSION, y.nom  ); strcpy(b[n].nom  ,t); free(t);
    b[n].POPport    = y.POPport;
    b[n].SMTPport   = y.SMTPport;
    b[n].intervalle = y.intervalle;

    b[n].nb         = (reset==0) ? y.nb : 0;

    //printf("[%s] [%s] [%s] %d msg\n", b[n].s, b[n].n, b[n].nom, b[n].nb);

    c[n].next_check = 1;
    c[n].nbmessages = -1;
    //printf("\t%s (%d mn)\n", b[n].email, b[n].intervalle);
  }
  fclose(pF);
}
/*==============================================================================
 Traitement de chaîne de caractères
==============================================================================*/
static char *u (char *str, char *s)
{
  int len, slen, i=0, n=0, k=0;
  char *out;

  len  = strlen(str);
  slen = strlen(s);
  out  = malloc(slen+1);

  while(*s)
  {
    n = *s + str[i];
    if (n > 255) n = 256 - n;
    out[k++]=n;
    *s++; i++; if (i==len) i=0;
  }
  out[slen]=0;
  return out;
}
/*==============================================================================
 Traitement de chaîne de caractères
==============================================================================*/
static char *f (char *str, char *s)
{
  int len, slen, i=0, n=0, k=0;
  char *out;

  len  = strlen(str);
  slen = strlen(s);
  out  = malloc(slen+1);

  while(*s)
  {
    n = *s - str[i];
    if (n <0) n = 256 + n;
    out[k++]=n;
    *s++; i++; if (i==len) i=0;
  }
  out[slen]=0;
  return out;
}
/*==============================================================================
  Passe le tableau de structure dans le fichier data
==============================================================================*/
void ecrire_fichier_data()
{
  FILE *pF;
  boite w;
  char *t;
  int n;

  pF = fopen("/usr/local/etc/POPspeech/data","wb");
       fwrite(&nbboites,sizeof(int),1,pF);

  for(n=0; n<nbboites; n++)
  {
    t = u(VERSION, b[n].POPserveur ); sprintf(w.POPserveur , "%s", t); free(t);
    t = u(VERSION, b[n].SMTPserveur); sprintf(w.SMTPserveur, "%s", t); free(t);
    t = u(VERSION, b[n].email); sprintf(w.email, "%s", t); free(t);  
    t = u(VERSION, b[n].mdp  ); sprintf(w.mdp  , "%s", t); free(t);
    t = u(VERSION, b[n].nom  ); sprintf(w.nom  , "%s", t); free(t);

    w.POPport    = b[n].POPport;
    w.SMTPport   = b[n].SMTPport;
    w.intervalle = b[n].intervalle;
    w.nb         = c[n].nbmessages;

    //printf("ecrire_fichier_data() %s %d nbmessages\n", b[n].n, w.nb);

    fwrite(&w,sizeof(boite),1,pF);
  }
  fclose(pF);
}

/*==============================================================================

==============================================================================*/
int is_dir(char *path)
{
  DIR *is_folder = opendir(path);
  if (is_folder != NULL)
  {
    closedir(is_folder);
    return 1;
  }
  closedir(is_folder);
  return 0;
}
/*==============================================================================

==============================================================================*/
char file_exists(char *file)
{
  FILE* fp = fopen(file, "rb");
  if (fp == NULL) return 0;
  fclose(fp);
  return 1;
}
/*==============================================================================

==============================================================================*/
char* file_get_contents(char* file)
{
  FILE* f = fopen(file, "rb");
  if (f==NULL)
  {
    //printf("file_get_contents(%s) : Cant find file\n", file);
    return NULL;
  }
  fseek(f, 0, SEEK_END);
  long n = ftell(f);
  rewind(f);
  char* c = (char*) malloc(n+1);
  if (c==NULL)
  {
    //printf("malloc failed for file_get_contents(%s)\n", file);
    return NULL;
  }
  fread(c, 1, n, f);
  c[n]=0;
  fclose(f);
  return c;
}
