#ifndef mailbox_H
#define mailbox_H

#include <stdio.h>
#include <stdlib.h>
#include "TCPsocket.h"
#include <string.h>
#include <gtk/gtk.h>

#define VERSION "ver. 404.7"

typedef struct
{
  char  POPserveur[255];
  short POPport;
  char  SMTPserveur[255];
  short SMTPport;
  char  email[255];
  char  mdp[40];
  char  nom[255];
  int   intervalle; // minutes entre les checks
  int   nb; // nombre de messages
} boite;


typedef struct
{
  int   nbmessages;
  char  taille_msg[40]; // "(102.5 Ko)"
  int   next_check;     // next check dans 3 minutes
} check;

// tableau de boites à gérer
extern boite *b; // stockées
extern check *c; // valeurs pour check seulement
extern unsigned char nbboites; // 255 boites maxi!
extern char reset; //partir de 0 si pas de csv

extern GtkWidget *liste;
extern GtkWidget *txtNom;
extern GtkWidget *txtPOPserveur;
extern GtkWidget *txtPOPport;
extern GtkWidget *txtSMTPserveur;
extern GtkWidget *txtSMTPport;
extern GtkWidget *txtemail;
extern GtkWidget *txtMdp;
extern GtkWidget *txtCheckmn;

void buttonAdd_click  (GtkWidget *widget, gpointer data);
void buttonSuppr_click(GtkWidget *widget, gpointer data);
void buttonEdit_click (GtkWidget *widget, gpointer data);
void buttonCheck_click( GtkWidget *widget, gpointer data);
extern int selectedindex;

extern void dire(char *msg);

// fonctions
void lire_fichier_data();
static char *u (char*, char*);
static char *f (char*, char*);
void ecrire_fichier_data();

void Vider_Entry();
void Ajouter_Boite();
void Supprimer_Boite();
void Voir_Enregistrement();
void check_now_particular_mailbox();

void csv2listview();

int   is_dir(char *path);
char* file_get_contents(char* file);
char  file_exists(char *file);

#endif
